#define IMAGE_MODES_START 22

uint8_t generateBlack(uint8_t *raw);
uint8_t generateUniformColor(uint8_t *raw,uint8_t *color);
uint8_t generate3RGBSpaceInvaders(uint8_t *raw);
void setIntensity(uint8_t *raw_out, uint8_t *raw_in, uint8_t intensity);
int powerLimiter(uint8_t *raw_out, uint8_t *raw_in, uint8_t intensity);
uint8_t imageGenerator(uint32_t currentMode, uint8_t *raw, float time, uint8_t intensity);
